Create Expected Rack

View as Markdown
Create an Expected Rack to pre-register a rack expected to be discovered at a Site. The `rackId` is an operator-supplied string identifier (not a UUID) that uniquely identifies the rack within the Site. Org must have an Infrastructure Provider entity. User must have `FORGE_PROVIDER_ADMIN` role. Alternatively, Tenant Admins with `TargetedInstanceCreation` capability can also create Expected Racks if they have an account with the Site's Infrastructure Provider. Chassis identity and physical location information are conveyed via well-known label keys in `labels`: - `chassis.manufacturer`, `chassis.serial-number`, `chassis.model` - `location.region`, `location.datacenter`, `location.room`, `location.position`

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired

Request

Expected Rack creation request
siteIdstringRequiredformat: "uuid"
ID of the Site the Expected Rack belongs to
rackIdstringRequired>=1 character

Operator-supplied identifier for the rack (string, not UUID). Must be non-empty and unique within the Site.

rackProfileIdstringRequired>=1 character

Identifier of the Rack Profile this rack conforms to. Must be non-empty.

namestring or nullOptional>=1 character

Human-readable name of the Expected Rack

descriptionstring or nullOptional>=1 character

Human-readable description of the Expected Rack

labelsmap from strings to stringsOptional

User-defined key-value pairs for organizing and categorizing Expected Racks. Well-known keys (chassis.*, location.*) are used to convey chassis identity and physical location.

Response

Created
idstringRead-onlyformat: "uuid"

Unique identifier (UUID) for the Expected Rack

rackIdstringRead-only

Operator-supplied identifier for the rack (string, not UUID). Unique within a Site.

siteIdstringRead-onlyformat: "uuid"
ID of the Site the Expected Rack belongs to
rackProfileIdstring
Identifier of the Rack Profile this rack conforms to
namestring

Human-readable name of the Expected Rack

descriptionstring

Human-readable description of the Expected Rack

labelsmap from strings to strings

User-defined key-value pairs for organizing and categorizing Expected Racks. Well-known keys (chassis.*, location.*) are used to convey chassis identity and physical location.

createddatetimeRead-only
ISO 8601 datetime when the Expected Rack was created
updateddatetimeRead-only
ISO 8601 datetime when the Expected Rack was last updated

Errors

400
Bad Request Error
403
Forbidden Error